> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.papertracc.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.papertracc.com/_mcp/server.

# Get Customers

GET https://api.papertracc.com/v1/profiles/customers?limit=20

Lists customers for the active workspace.

Requires the `can_view_customer_profile` permission on the key owner's role.

**Keys:** secret key only.

Reference: https://api-docs.papertracc.com/core/profiles/customers/get-customers

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.
- `identity` header (required) — The identity for the active workspace.

## Servers

- `https://api.papertracc.com/v1` (Production, default)
- `https://api.papertracc.com/rc-1` (Release Candidate 1)

## Request

### Query parameters

- `limit` (integer, optional) — Optional. Number of records to return.

## Response

### 200

OK

- `data` (list of ProfilesCustomersLimit20GetResponsesContentApplicationJsonSchemaDataItems, required)
- `page` (integer, required)
- `count` (integer, required)
- `pages` (integer, required)
- `status` (boolean, required)
- `message` (string, required)
- `keyset` (any, optional)
- `last_id` (any, optional)

## Errors

### 401 Unauthorized Error

The API key is missing or invalid, the key owner is no longer an active member of the organisation, or the key owner is not a member of the workspace in the `identity` header.

- `status` (boolean, required)
- `message` (string, required)
- `error_code` (enum, optional) — Machine-readable reason. Present on 402 and 403 responses.
  - Allowed values: `PERMISSION_DENIED`, `SERVICE_DISABLED`, `OPEN_API_NOT_ENABLED`
- `permission` (string, optional) — The role permission the request needs. Set when `error_code` is `PERMISSION_DENIED`.
- `service` (string, optional) — The workspace service that is turned off. Set when `error_code` is `SERVICE_DISABLED`.

### 402 Payment Required Error

The workspace's subscription plan does not include the Open API.

- `status` (boolean, required)
- `message` (string, required)
- `error_code` (enum, optional) — Machine-readable reason. Present on 402 and 403 responses.
  - Allowed values: `PERMISSION_DENIED`, `SERVICE_DISABLED`, `OPEN_API_NOT_ENABLED`
- `permission` (string, optional) — The role permission the request needs. Set when `error_code` is `PERMISSION_DENIED`.
- `service` (string, optional) — The workspace service that is turned off. Set when `error_code` is `SERVICE_DISABLED`.

### 403 Forbidden Error

Either the key owner's role does not include the permission this endpoint needs (`PERMISSION_DENIED`), or the service this endpoint belongs to is turned off for the workspace (`SERVICE_DISABLED`).

- `status` (boolean, required)
- `message` (string, required)
- `error_code` (enum, optional) — Machine-readable reason. Present on 402 and 403 responses.
  - Allowed values: `PERMISSION_DENIED`, `SERVICE_DISABLED`, `OPEN_API_NOT_ENABLED`
- `permission` (string, optional) — The role permission the request needs. Set when `error_code` is `PERMISSION_DENIED`.
- `service` (string, optional) — The workspace service that is turned off. Set when `error_code` is `SERVICE_DISABLED`.

## Types

### ProfilesCustomersLimit20GetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required)
- `type` (string, required)
- `email` (string, required)
- `phone` (string, required)
- `accounts` (list of ProfilesCustomersLimit20GetResponsesContentApplicationJsonSchemaDataItemsAccountsItems, required)
- `last_name` (string, required)
- `contact_id` (string, required)
- `created_at` (datetime, required)
- `first_name` (string, required)
- `project_id` (string, required)
- `company_name` (string, required)
- `display_name` (string, required)
- `billing_address` (ProfilesCustomersLimit20GetResponsesContentApplicationJsonSchemaDataItemsBillingAddress, required)
- `shipping_address` (ProfilesCustomersLimit20GetResponsesContentApplicationJsonSchemaDataItemsShippingAddress, required)
- `payment_term_id` (string, optional, nullable) — The contact's default payment term, or null when none is set.

### ProfilesCustomersLimit20GetResponsesContentApplicationJsonSchemaDataItemsAccountsItems

- `bank` (string, required)
- `code` (string, required)
- `vat_id` (string, required)
- `is_default` (boolean, required)
- `account_name` (string, required)
- `currency_code` (string, required)
- `account_number` (string, required)

### ProfilesCustomersLimit20GetResponsesContentApplicationJsonSchemaDataItemsBillingAddress

- `city` (string, required)
- `name` (string, required)
- `phone` (string, required)
- `state` (string, required)
- `country` (string, required)
- `post_code` (string, required)
- `address_one` (string, required)
- `country_code` (string, required)

### ProfilesCustomersLimit20GetResponsesContentApplicationJsonSchemaDataItemsShippingAddress

- `city` (string, required)
- `name` (string, required)
- `phone` (string, required)
- `state` (string, required)
- `country` (string, required)
- `post_code` (string, required)
- `address_one` (string, required)
- `country_code` (string, required)

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "7d2c9c72-392c-4f8d-b3f1-c1fef2c2d501",
      "type": "INDIVIDUAL",
      "email": "john@example.com",
      "phone": "+2348012345678",
      "accounts": [
        {
          "bank": "Spruce Bank",
          "code": "044",
          "vat_id": "78c68f6d-d734-4822-9a6c-73f517a0e5c1",
          "is_default": true,
          "account_name": "John Doe",
          "currency_code": "NGN",
          "account_number": "1234567890"
        }
      ],
      "last_name": "Doe",
      "contact_id": "64595845-34ec-482c-b0fe-ae617a0f8335",
      "created_at": "2026-06-18T10:00:00Z",
      "first_name": "John",
      "project_id": "spruce-demo",
      "company_name": "Acme Corp",
      "display_name": "John Doe",
      "billing_address": {
        "city": "Lagos",
        "name": "Office",
        "phone": "+2348012345678",
        "state": "Lagos",
        "country": "Nigeria",
        "post_code": "100001",
        "address_one": "12 Marina Road",
        "country_code": "NG"
      },
      "shipping_address": {
        "city": "Lagos",
        "name": "Office",
        "phone": "+2348012345678",
        "state": "Lagos",
        "country": "Nigeria",
        "post_code": "100001",
        "address_one": "12 Marina Road",
        "country_code": "NG"
      },
      "payment_term_id": null
    }
  ],
  "page": 0,
  "count": 1,
  "pages": 1,
  "status": true,
  "message": "Successfully fetched customers"
}
```

**SDK Code**

```python Profiles_Customers_Get Customers_example
import requests

url = "https://api.papertracc.com/v1/profiles/customers"

querystring = {"limit":"20"}

headers = {"Authorization": "Bearer <apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Profiles_Customers_Get Customers_example
const url = 'https://api.papertracc.com/v1/profiles/customers?limit=20';
const options = {method: 'GET', headers: {Authorization: 'Bearer <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Profiles_Customers_Get Customers_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.papertracc.com/v1/profiles/customers?limit=20"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Profiles_Customers_Get Customers_example
require 'uri'
require 'net/http'

url = URI("https://api.papertracc.com/v1/profiles/customers?limit=20")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <apiKey>'

response = http.request(request)
puts response.read_body
```

```java Profiles_Customers_Get Customers_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.papertracc.com/v1/profiles/customers?limit=20")
  .header("Authorization", "Bearer <apiKey>")
  .asString();
```

```php Profiles_Customers_Get Customers_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.papertracc.com/v1/profiles/customers?limit=20', [
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Profiles_Customers_Get Customers_example
using RestSharp;

var client = new RestClient("https://api.papertracc.com/v1/profiles/customers?limit=20");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Profiles_Customers_Get Customers_example
import Foundation

let headers = ["Authorization": "Bearer <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.papertracc.com/v1/profiles/customers?limit=20")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```